export interface SchoolClassData {
  displayName: string;
  name: string;
}

export interface WorkGroupData {
  displayName: string;
  name: string;
  description: string;
}

export const checkComboBoxOptions = (name: string, options: {value: string; label: string}[]): void => {
  cy.get(`input[name="${name}"] ~ .uButton`).click();
  cy.get(`input[name="${name}"] ~ .uComboBox__popup .uComboBox__list`).children('.uComboBox__list__option').should('have.length', options.length);
  for (const option of options) {
    cy.get(`input[name="${name}"] ~ .uComboBox__popup .uComboBox__list__option[id="uComboBox__option--${option.value}"]`).should('have.text', option.label);
  }
  cy.get(`input[name="${name}"] ~ .uButton`).click();
};
